Subject: RE: [PATCH] usb:gadget: use min_t() macro instead of min()

From: "Tanya Brokhman" <[email-masked]>
Date: Mon, 13 Jun 2011 14:52:34 +0300

> 
> On Sun, Jun 12, 2011 at 02:14:46PM +0300, Tatyana Brokhman wrote:
> > Signed-off-by: Tatyana Brokhman <[email-masked]>
> 
> I need a sensible commit log for this. Why do we need to change all
> min() to min_t() ?
> 

Actually, Alan asked me to make this change in one place in dummy_hcd. I
wasn't aware of the min_t macro before that. So when I searched the code for
other places I found quite a few and just thought that it would be "nicer"
to use min_t() instead of min() with casting. 
So we don't "need" to make this change. Everything works as is. This patch
only makes the code look nicer, nothing more.
I can elaborate the above in the commit log if you want.

Thanks,
Tanya Brokhman
---
Sent by an consultant of the Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum.